Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## groovy.inspect.swingui
[Groovy] Class TreeNodeBuildingVisitor

    java.lang.Object
      org.codehaus.groovy.ast.CodeVisitorSupport
          groovy.inspect.swingui.TreeNodeBuildingVisitor

    class TreeNodeBuildingVisitor
    extends CodeVisitorSupport

This AST visitor builds up a TreeNode.

Authors:
  Hamlet D'Arcy

Property Summary
`java.lang.Object` | `currentNode`

Method Summary
`void` | `visitArgumentlistExpression(ArgumentListExpression node)`
`void` | `visitArrayExpression(ArrayExpression node)`
`void` | `visitAssertStatement(AssertStatement node)`
`void` | `visitAttributeExpression(AttributeExpression node)`
`void` | `visitBinaryExpression(BinaryExpression node)`
`void` | `visitBitwiseNegationExpression(BitwiseNegationExpression node)`
`void` | `visitBlockStatement(BlockStatement node)`
`void` | `visitBooleanExpression(BooleanExpression node)`
`void` | `visitBreakStatement(BreakStatement node)`
`void` | `visitBytecodeExpression(BytecodeExpression node)`
`void` | `visitCaseStatement(CaseStatement node)`
`void` | `visitCastExpression(CastExpression node)`
`void` | `visitCatchStatement(CatchStatement node)`
`void` | `visitClassExpression(ClassExpression node)`
`void` | `visitClosureExpression(ClosureExpression node)`
`void` | `visitClosureListExpression(ClosureListExpression node)`
`void` | `visitConstantExpression(ConstantExpression node)`
`void` | `visitConstructorCallExpression(ConstructorCallExpression node)`
`void` | `visitContinueStatement(ContinueStatement node)`
`void` | `visitDeclarationExpression(DeclarationExpression node)`
`void` | `visitDoWhileLoop(DoWhileStatement node)`
`protected void` | `visitEmptyStatement(EmptyStatement node)`
`void` | `visitExpressionStatement(ExpressionStatement node)`
`void` | `visitFieldExpression(FieldExpression node)`
`void` | `visitForLoop(ForStatement node)`
`void` | `visitGStringExpression(GStringExpression node)`
`void` | `visitIfElse(IfStatement node)`
`void` | `visitListExpression(ListExpression node)`
`protected void` | `visitListOfExpressions(java.util.List list)`
`void` | `visitMapEntryExpression(MapEntryExpression node)`
`void` | `visitMapExpression(MapExpression node)`
`void` | `visitMethodCallExpression(MethodCallExpression node)`
`void` | `visitMethodPointerExpression(MethodPointerExpression node)`
`void` | `visitNotExpression(NotExpression node)`
`void` | `visitParameter(Parameter node)` Makes walking parameters look like others in the visitor.
`void` | `visitPostfixExpression(PostfixExpression node)`
`void` | `visitPrefixExpression(PrefixExpression node)`
`void` | `visitPropertyExpression(PropertyExpression node)`
`void` | `visitRangeExpression(RangeExpression node)`
`void` | `visitReturnStatement(ReturnStatement node)`
`void` | `visitShortTernaryExpression(ElvisOperatorExpression node)`
`void` | `visitSpreadExpression(SpreadExpression node)`
`void` | `visitSpreadMapExpression(SpreadMapExpression node)`
`void` | `visitStaticMethodCallExpression(StaticMethodCallExpression node)`
`void` | `visitSwitch(SwitchStatement node)`
`void` | `visitSynchronizedStatement(SynchronizedStatement node)`
`void` | `visitTernaryExpression(TernaryExpression node)`
`void` | `visitThrowStatement(ThrowStatement node)`
`void` | `visitTryCatchFinally(TryCatchStatement node)`
`void` | `visitTupleExpression(TupleExpression node)`
`void` | `visitUnaryMinusExpression(UnaryMinusExpression node)`
`void` | `visitUnaryPlusExpression(UnaryPlusExpression node)`
`void` | `visitVariableExpression(VariableExpression node)`
`void` | `visitWhileLoop(WhileStatement node)`

Methods inherited from class CodeVisitorSupport
visitArgumentlistExpression, visitArrayExpression, visitAssertStatement, visitAttributeExpression, visitBinaryExpression, visitBitwiseNegationExpression, visitBlockStatement, visitBooleanExpression, visitBreakStatement, visitBytecodeExpression, visitCaseStatement, visitCastExpression, visitCatchStatement, visitClassExpression, visitClosureExpression, visitClosureListExpression, visitConstantExpression, visitConstructorCallExpression, visitContinueStatement, visitDeclarationExpression, visitDoWhileLoop, visitEmptyStatement, visitExpressionStatement, visitFieldExpression, visitForLoop, visitGStringExpression, visitIfElse, visitListExpression, visitListOfExpressions, visitMapEntryExpression, visitMapExpression, visitMethodCallExpression, visitMethodPointerExpression, visitNotExpression, visitPostfixExpression, visitPrefixExpression, visitPropertyExpression, visitRangeExpression, visitReturnStatement, visitShortTernaryExpression, visitSpreadExpression, visitSpreadMapExpression, visitStaticMethodCallExpression, visitSwitch, visitSynchronizedStatement, visitTernaryExpression, visitThrowStatement, visitTryCatchFinally, visitTupleExpression, visitUnaryMinusExpression, visitUnaryPlusExpression, visitVariableExpression, visitWhileLoop

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### currentNode

    java.lang.Object currentNode

Method Detail

### visitArgumentlistExpression

    void visitArgumentlistExpression(ArgumentListExpression node)

### visitArrayExpression

    void visitArrayExpression(ArrayExpression node)

### visitAssertStatement

    void visitAssertStatement(AssertStatement node)

### visitAttributeExpression

    void visitAttributeExpression(AttributeExpression node)

### visitBinaryExpression

    void visitBinaryExpression(BinaryExpression node)

### visitBitwiseNegationExpression

    void visitBitwiseNegationExpression(BitwiseNegationExpression node)

### visitBlockStatement

    void visitBlockStatement(BlockStatement node)

### visitBooleanExpression

    void visitBooleanExpression(BooleanExpression node)

### visitBreakStatement

    void visitBreakStatement(BreakStatement node)

### visitBytecodeExpression

    void visitBytecodeExpression(BytecodeExpression node)

### visitCaseStatement

    void visitCaseStatement(CaseStatement node)

### visitCastExpression

    void visitCastExpression(CastExpression node)

### visitCatchStatement

    void visitCatchStatement(CatchStatement node)

### visitClassExpression

    void visitClassExpression(ClassExpression node)

### visitClosureExpression

    void visitClosureExpression(ClosureExpression node)

### visitClosureListExpression

    void visitClosureListExpression(ClosureListExpression node)

### visitConstantExpression

    void visitConstantExpression(ConstantExpression node)

### visitConstructorCallExpression

    void visitConstructorCallExpression(ConstructorCallExpression node)

### visitContinueStatement

    void visitContinueStatement(ContinueStatement node)

### visitDeclarationExpression

    void visitDeclarationExpression(DeclarationExpression node)

### visitDoWhileLoop

    void visitDoWhileLoop(DoWhileStatement node)

### visitEmptyStatement

    protected void visitEmptyStatement(EmptyStatement node)

### visitExpressionStatement

    void visitExpressionStatement(ExpressionStatement node)

### visitFieldExpression

    void visitFieldExpression(FieldExpression node)

### visitForLoop

    void visitForLoop(ForStatement node)

### visitGStringExpression

    void visitGStringExpression(GStringExpression node)

### visitIfElse

    void visitIfElse(IfStatement node)

### visitListExpression

    void visitListExpression(ListExpression node)

### visitListOfExpressions

    protected void visitListOfExpressions(java.util.List list)

### visitMapEntryExpression

    void visitMapEntryExpression(MapEntryExpression node)

### visitMapExpression

    void visitMapExpression(MapExpression node)

### visitMethodCallExpression

    void visitMethodCallExpression(MethodCallExpression node)

### visitMethodPointerExpression

    void visitMethodPointerExpression(MethodPointerExpression node)

### visitNotExpression

    void visitNotExpression(NotExpression node)

### visitParameter

    void visitParameter(Parameter node)

  Makes walking parameters look like others in the visitor.

### visitPostfixExpression

    void visitPostfixExpression(PostfixExpression node)

### visitPrefixExpression

    void visitPrefixExpression(PrefixExpression node)

### visitPropertyExpression

    void visitPropertyExpression(PropertyExpression node)

### visitRangeExpression

    void visitRangeExpression(RangeExpression node)

### visitReturnStatement

    void visitReturnStatement(ReturnStatement node)

### visitShortTernaryExpression

    void visitShortTernaryExpression(ElvisOperatorExpression node)

### visitSpreadExpression

    void visitSpreadExpression(SpreadExpression node)

### visitSpreadMapExpression

    void visitSpreadMapExpression(SpreadMapExpression node)

### visitStaticMethodCallExpression

    void visitStaticMethodCallExpression(StaticMethodCallExpression node)

### visitSwitch

    void visitSwitch(SwitchStatement node)

### visitSynchronizedStatement

    void visitSynchronizedStatement(SynchronizedStatement node)

### visitTernaryExpression

    void visitTernaryExpression(TernaryExpression node)

### visitThrowStatement

    void visitThrowStatement(ThrowStatement node)

### visitTryCatchFinally

    void visitTryCatchFinally(TryCatchStatement node)

### visitTupleExpression

    void visitTupleExpression(TupleExpression node)

### visitUnaryMinusExpression

    void visitUnaryMinusExpression(UnaryMinusExpression node)

### visitUnaryPlusExpression

    void visitUnaryPlusExpression(UnaryPlusExpression node)

### visitVariableExpression

    void visitVariableExpression(VariableExpression node)

### visitWhileLoop

    void visitWhileLoop(WhileStatement node)

Groovy Documentation